c ****************************************************************
      subroutine csqdis(x,y,xl,yl,xr,yr,isub)
c     for a quadrilateral source area, calculates
c     nearest distance from site at (x,y) to each side
c     and distance to each vertex.
c     called from subroutine rrisk
      dimension xl(4),yl(4),xr(4),yr(4)
      common/slinp/fsa(4,50),fsb(4,50),fsc(4,50),rta(4,50),dist(4,50)
     & ,disq(4,50)
      common /slinds/dls(4),perp(4),sl1(4),slsq(4),min(4),persq(4)
     &,srsq(4),dlp(4)
      do 10 i=1,4
   10 perp(i)=(fsa(i,isub)*x+fsb(i,isub)*y+fsc(i,isub))/rta(i,isub)
      do 20 i=1,4
      slsq(i)=(x-xl(i))**2+(y-yl(i))**2
      srsq(i)=(x-xr(i))**2+(y-yr(i))**2
   20 continue
      do 50 i=1,4
      persq(i)=perp(i)*perp(i)
      dl1=slsq(i)-persq(i)
      dl2=srsq(i)-persq(i)
      if(dl1.lt.0.) dl1=0.
      if(dl2.lt.0.) dl2=0.
      if(dl1+dl2.le.disq(i,isub)) go to 40
c      shortest distance external to segment
      if(dl1.lt.dl2) go to 30
      min(i)=1
      dlp(i)=sqrt(dl2)
      dls(i)=dist(i,isub)+dlp(i)
      go to 50
   30 min(i)=2
      dls(i)=-sqrt(dl1)
      go to 50
   40 min(i)=3
      dls(i)=sqrt(dl1)
      dlp(i)=0.
   50 continue
      return
      end
