      function indpt(y,yval,n)
c      points in descending order--non zero values from points
c      1 to n:  find first value in table exceeding yval
      dimension y(102)
      if(yval.lt.y(1)) go to 10
      indpt=0
      return
   10 if(yval.gt.y(n)) go to 20
      indpt=n
      return
   20 num=n
      idiv=2
   30 nh=num/idiv
      if(nh.le.1) go to 50
      if(yval.lt.y(nh)) go to 40
      idiv=2*idiv
      go to 30
c    yval lies approx between nh and 2*nh or 2*nh
   40 idiv=2*idiv
      nh2=nh+num/idiv
      if(nh.eq.nh2) goto 80
      if(yval.gt.y(nh2)) go to 40
c    yval further down on table than y(nh2)
      nh=nh2
      go to 40
   50 do 60 i=1,n
      if(y(i).lt.yval) go to 70
   60 continue
   70 indpt=i-1
      return
   80 continue
      do 90 i=nh,n
      if(y(i).lt.yval) go to70
   90 continue
      end
