c ***************************************************************
      subroutine lin(x1,y1,x2,y2,a,b,c,x3,y3)
c   coefficients a, b, c are determined so that points which are in the
c   same half plane as x3,y3 will be a positive distance from the line
c   joining x1,y1 and x2,y2
c       a x + b y + c=0
      if(x1.eq.x2) go to 10
      a=(y1-y2)/(x1-x2)
      b=-1
      c=y1-a*x1
      go to 20
   10 a=1.
      b=0
      c=-x1
   20 d=a*x3+b*y3+c
      if(d.gt.0.) return
      a=-a
      b=-b
      c=-c
      return
      end
