c ***************************************************************
      subroutine box(scale,sd)
c    determine boundaries ac(i) for acceleration levels
c    accelerations in the range ac(i-1) < a <ac(i) will be
c    accumulated in reg(i)
c    scale multiplies the basic levels computed
c    scale=1 for accelerations in the range .02 to 1.
      common /quad/maxq,ac(105),dumlog,aclog(105)
      common/wds/max,maxp,maxsp
      maxsp=104
      max=54
      maxp=55
      ac(5)=.02*scale
      dif=ac(5)
      do 10 i=6,55
      ac(i)=ac(i-1)+dif
   10 continue
c -----------------note important--------------
c     the following inserted to allow acceleration boxes for small
c     values below range of interest for sd computation
c     this should be changed later as desired
      j=4
      efac=exp(-sd/2.)
      do 20 i=1,4
      ac(j)=ac(j+1)*efac
   20 j=j-1
c   for later attenuation variability, expand acceleration range
c   used only in subroutine "out"
      y=alog(ac(max))
      w=exp(y+4.4*sd)
      w1=exp(y+2.0*sd)
c    dimension of ac, aclog is 105; we cannot exceed this dimension
      n=maxsp-max
      n2=n/2
      i2s=max+n2
      dif=(w1-ac(max))/n2
      do 30 i=maxp,i2s
      ac(i)=ac(i-1)+dif
   30 continue
      i2sp=i2s+1
      dif=(w-ac(i2s))/n2
      do 40 i=i2sp,maxsp
      ac(i)=ac(i-1)+dif
   40 continue
      return
      end
