c***********************************************************
      subroutine out(reg,naf,xouts,youts,sd)
c next line added by RL 3/25/94
	  character dum*1, srctyp*1
      common/tims/ftim(20),jtim(20),ntims,nwt,iprint
      common/rdis/rdis
      common/src/srctyp
      dimension qp(140),sol(20),sols(20)
      common/quad/maxq,ac(105),dumlog,aclog(105)
      dimension reg(106)
      common/ext/prob,ex,exl
      common/wds/max,maxp,maxsp
      dimension regs(106),cdfs(105),cdf(105)
      dum='x'
      if(iprint.le.2)then
      write(16,10) xouts,youts
   10 format(' site at long 'f8.3', lat 'f8.3)
      if(srctyp.ne.'a')write(16,11)rdis
   11 format(' shortest dist to fault='f8.2' km')
      write(16,12) sd
   12 format(/,10x,'zero attenuation variability'18x,
     &'variability in atten, sigma='f5.2)
      write(16,13)
   13 format(2( '      g.m.  occ/yr    exc/yr  r(events) r(yrs)  '))
      endif
      do 20 l=1,maxsp
   20 regs(l)=0
   30 sd6=4.4*sd
      kls=1
      do 70 l=1,max
      if(reg(l+1).eq.0) go to 70
c*** I don't think next line is correct......
c*** For exceedences beginning bin value
c*** should be used, not the median.  RL
      asav=(aclog(l)+aclog(l+1))/2.
      kl=kls
   40 if(aclog(kl)-asav.ge.-sd6) go to 50
      kl=kl+1
      if(kl.le.max) go to 40
      go to 70
   50 kls=kl
      w=(aclog(kl)-asav)/sd
      call bbgaus(w,g1)
      if(kl.eq.1) regs(1)=regs(1)+(1.-g1)*reg(l+1)
   60 kl=kl+1
      wh=(aclog(kl)-asav)/sd
      call bbgaus(wh,g2)
      regs(kl)=regs(kl)+(g1-g2)*reg(l+1)
      if(wh.ge.4.4) go to 70
      if(kl.ge.maxsp) go to 70
      g1=g2
      go to 60
   70 continue
c  we are really not interested in 1st 4 acceleration boxes but used
c  them for computation of variability in acceleration--correct so
c  box 5 accumulates all accelerations below ac(5)
c  ac(5) is the first value printed
   80 continue
      regs(1)=regs(1)+reg(1)
      regsav=reg(5)
      regssv=regs(5)
      do 90 i=1,4
      regs(5)=regs(5)+regs(i)
   90 reg(5)=reg(5)+reg(i)
      cdfs(maxsp)=0.
      cdf(maxp)=0.
      maxq=maxp
      k=max
      do 100 i=5,max
      cdf(k)=cdf(k+1)+reg(k+1)
  100 k=k-1
      mm=maxsp-1
      k=mm
      do 110 i=5,mm
      cdfs(k)=cdfs(k+1)+regs(k+1)
  110 k=k-1
      if((cdfs(5).ne.0.0).and.(cdf(5).ne.0.0)) go to 140
      if(iprint.ge.2) write(16,120)
  120 format(' no acceleration events accumulated. statistics calc.
     &bypassed')
      do 130 ier=1,ntims
      sol(ier)=0.0
  130 sols(ier)=0.
      go to 380
  140 continue
c
c  if accelerations do not exceed ac(5), the first acceleration
c  of interest, skip statistics calculation to avoid dividing by
c  zero or upsetting interpolation routines.
c
      cnums=cdfs(5)+regs(5)
      cnum=cdf(5)+reg(5)
      yrncnum=1./cnum
      nrep=0
      idone=0
      if(iprint.eq.3) go to 330
      do 300 i=5,maxsp
      if(i.gt.max) go to 150
      if(cdf(i).eq.0.0) go to 170
      if(reg(i).ne.0) go to 160
  150 if(regs(i).eq.0.) go to 190
c
c   compute return period in number of events and number of years
c   return period in events = average number of earthquakes needed
c   to produce an acceleration exceeding a
c      r(events)=(yearly earthquakes)/(yearly exceedances of a)
c   return period in years = average time between earthquakes
c   which cause acceleration a to be exceeded
c      r(yrs)=1/(yearly exceedances of a)
c
  160 if(i.le.max) retev=cnum/cdf(i)
      retyr=retev*yrn cnum
c
c   compute acceleration which has probability prob of not being
c   exceeded during t years.  this is given by the value of a
c   for which
c      prob = exp(-t * number of exceedances of a per year)
c
      go to 180
  170 retev=999999.9
      retyr=999999.9
  180 if(cdfs(i).eq.0.) go to 190
      retevs=cnums/cdfs(i)
      retyrs=retevs/cnums
      go to 200
  190 retevs=999999.9
      retyrs=999999.9
      if(cdf(i).ne.0.) go to 200
      idone=1
  200 continue
      qp(nrep+1)=ac(i)
      if(i.le.max) go to 210
      qp(nrep+2)=0
      qp(nrep+3)=0
      retev=999999.9
      retyr=999999.9
      go to 220
  210 qp(nrep+2)=reg(i)
      qp(nrep+3)=cdf(i)
  220 if(retev.ge.10000000.) retev=999999.9
      if(retyr.ge.10000000.) retyr=999999.9
      qp(nrep+4)=retev
      qp(nrep+5)=retyr
      qp(nrep+6)=ac(i)
      qp(nrep+7)=regs(i)
      qp(nrep+8)=cdfs(i)
      if(retevs.ge.10000000.) retevs=999999.9
      if(retyrs.ge.10000000.) retyrs=999999.9
      qp(nrep+9)=retevs
      qp(nrep+10)=retyrs
      if(nrep.ne.130) go to 260
      if(naf.le.3) go to 230
      write(16,280) qp
c*******next line added by RL  3/25/94
      write(17,281) qp
      go to 240
  230 write (16,270) qp
c*******next line added by RL  3/25/94
      write (17,271) qp
  240 continue
      nrep=0
  250 format(1h1)
      if(idone.eq.1) go to 330
      go to 300
  260 nrep=nrep+10
  270 format(1h f9.2,2f9.5,2f9.1,f12.2,2f9.5,2f9.1)
c*******next line added by RL  3/25/94
  271 format(f8.2,2f12.8,2f9.1,f12.2,f12.8,x,e12.7,x,f9.1,x,e12.7)
  280 format(1h f8.4,2f9.5,2f9.1,f12.4,2f9.5,2f9.1)
c*******next line added by RL  3/25/94
  281 format(f8.4,2f9.5,2f8.1,f12.4,2f9.5,2f9.1)
c*******next line added by RL  3/25/94
  272 format(5x,a1)
      if(retev.eq.999999.9 .and. retevs.eq.999999.9) go to 310
  300 continue
  310 if(nrep.eq.0) go to  330
      if(naf.le.3) go to 320
      write(16,280) (qp(ll),ll=1,nrep)
c*******next line added by RL  3/25/94
      write(17,281) (qp(ll),ll=1,nrep)
      go to 330
  320 write(16,270) (qp(ll),ll=1,nrep)
c*******next line added by RL  3/25/94
      write(17,271) (qp(ll),ll=1,nrep)
  330 if (iprint.gt.2) go to 350
c     write(17,272) dum
      write(16,340) cnum,cnums,sd
  340 format(2('   total yearly events ' f10.5,12x)
     &//10x'zero attenuation variability'18x,
     & 'variability in atten, sigma='f4.2)
c
c   compute acceleration which has probability prob of not being
c   exceeded during t years.  this is given by the value of a
c   for which
c      prob = exp(-t * number of exceedances of a per year)
c
  350 reg(5)=regsav
      regs(5)=regssv
      do 360 jv=1,ntims
      maxq=max
      call linint(reg,ftim(jv),sol(jv))
      maxq=maxsp
      call linint(regs,ftim(jv),sols(jv))
      if(iprint.le.2) write(16,370)prob,sol(jv),jtim(jv),sols(jv),
     &jtim(jv)
  360 continue
  370 format(f10.3' ext prob ='f7.3' for 'i7' years'15x,
     & f7.3' for 'i7' years')
  380 rat=0.0
      if(sol(1).ne.0.0) rat=sol(ntims)/sol(1)
      ratsd=0
      if(sols(1).ne.0) ratsd=sols(ntims)/sols(1)
      if(iprint.le.2)write(16,390)jtim(ntims),prob,jtim(1),rat, ratsd
      if(iprint.ge.2) write(2,*) xouts,youts,(sol(jt),jt=1,ntims),
     &(sols(jt),jt=1,ntims)
  390 format('   ratio 'i7' yr'f6.3' extreme value to 'i7' yr val
     &='f7.2,7x,f7.2)
      return
      end
