c ***************************************************************
      subroutine rrisk(xnot,ynot,in,isub,r,rc,rf,itst)
       common/inout/ic,ics,ifar,azimf,stsize
       common/xyarea/xsav(2,50),ysav(2,50),sarea(50)
       common/slinds/dls(4),perp(4),sl1(4),slsq(4),min(4),persq(4)
     &,srsq(4),dlp(4)
       common/slinp/aa(4,50),bb(4,50),cc(4,50),rta(4,50),dist(4,50),
     & disq(4,50)
      common/xlyl/xl(4),yl(4),xr(4),yr(4),xc(4),yc(4)
c         subroutine which loads temporary arrays with this
c           subsource's corners and determines if this site is
c           inside or outside the subrource.
      data pi2/6.2831853/
c   fixed number of radii at which distance-vs arc length
c   table is computed is set here   itst=7 ***************
      itst=7
      rc2=10000000.
      ics=0
      call csqdis(xnot,ynot,xl,yl,xr,yr,isub)
      rf2=0.
      do 20 ii=1,4
      if(slsq(ii).gt.rc2) go to 10
      rc2=slsq(ii)
   10 if(slsq(ii).lt.rf2) go to 20
      rf2=slsq(ii)
      ifar=ii
   20 continue
      do 30 ii=1,4
      if(min(ii).ne.3) go to  30
      if(persq(ii).gt.rc2) go to 30
      rc2=persq(ii)
      ics=ii
   30 continue
      rc=sqrt(rc2)
      rf=sqrt(rf2)
      stsize=(rf-rc)/itst
c        step thru source area.
      r=rc+(0.5)*stsize
c        determine if site is inside source area.
   40 do 50 ii=1,4
      d=aa(ii,isub)*xnot+bb(ii,isub)*ynot+cc(ii,isub)
      if(d.lt.0)go to 90
   50 continue
      in=1
c          determine azimuth of farthest point with respect to site
      azimf=acos((xl(ifar)-xnot)/rf)
      if (yl(ifar)-ynot) 60,70,70
   60 azimf=pi2 - azimf
   70 continue
c      rc is now distance from site to closest side.
c      rf is now distance from site to farthest corner.
c        pick step size based on fraction of area left
   80 return
c        if do loop finished, point lies within area.
   90 in=0
  100 return
      end
