c **************************************************************
      subroutine setreg(isub)
c    find equation of line thru each side of quadrilateral
c   find length of each side, etc.
      common/outs/xouts,youts
      dimension xl(4),yl(4),xr(4),yr(4)
      common/xyarea/xsav(2,50),ysav(2,50),sarea(50)
      common/slinp/aa(4,50),bb(4,50),cc(4,50),rta(4,50),dist(4,50),
     & disq(4,50)
      data r/6378./
      do 10 i=1,2
      xl(i)=xsav(i,isub)
      xl(i+2)=xsav(i,isub+1)
      yl(i)=ysav(i,isub)
      yl(i+2)=ysav(i,isub+1)
   10 continue
      xr(3)=xl(1)
      yr(3)=yl(1)
      xr(1)=xl(2)
      yr(1)=yl(2)
      xr(2)=xl(4)
      yr(2)=yl(4)
      xr(4)=xl(3)
      yr(4)=yl(3)
c        determine if any sides are vertical lines
      do 70 ii=1,4
      if(xl(ii).eq.xr(ii)) go to 20
      aa(ii,isub)=(yl(ii)-yr(ii))/(xl(ii)-xr(ii))
      bb(ii,isub)=-1.
      cc(ii,isub)=yl(ii)-aa(ii,isub)*xl(ii)
      go to 30
   20 aa(ii,isub)=1.
      bb(ii,isub)=0.
      cc(ii,isub)=-xl(ii)
   30 if(ii.gt.2) go to 40
      d=aa(ii,isub)*xl(3)+bb(ii,isub)*yl(3)+cc(ii,isub)
      go to 50
   40 d=aa(ii,isub)*xl(2)+bb(ii,isub)*yl(2)+cc(ii,isub)
   50 if (d.gt.0.) go to 60
      aa(ii,isub)=-aa(ii,isub)
      bb(ii,isub)=-bb(ii,isub)
      cc(ii,isub)=-cc(ii,isub)
   60 disq(ii,isub)=(xr(ii)-xl(ii))**2+(yr(ii)-yl(ii))**2
      dist(ii,isub)=sqrt(disq(ii,isub))
   70 rta(ii,isub)=sqrt(aa(ii,isub)*aa(ii,isub)+bb(ii,isub)*
     &bb(ii,isub))
      return
      end
